org.keycloak.services.resources.admin

## Enum RealmAuth.Resource

- java.lang.Object
- - java.lang.Enum<RealmAuth.Resource>
  - - org.keycloak.services.resources.admin.RealmAuth.Resource

- All Implemented Interfaces:
    Serializable, Comparable<RealmAuth.Resource>
  Enclosing class:
    RealmAuth

      public static enum RealmAuth.Resource
      extends Enum<RealmAuth.Resource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION`
    `AUDIT`
    `CLIENT`
    `REALM`
    `USER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RealmAuth.Resource` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RealmAuth.Resource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APPLICATION

          public static final RealmAuth.Resource APPLICATION

    - #### CLIENT

          public static final RealmAuth.Resource CLIENT

    - #### USER

          public static final RealmAuth.Resource USER

    - #### REALM

          public static final RealmAuth.Resource REALM

    - #### AUDIT

          public static final RealmAuth.Resource AUDIT

  - ### Method Detail

    - #### values

          public static RealmAuth.Resource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RealmAuth.Resource c : RealmAuth.Resource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RealmAuth.Resource valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.